org.apache.tinkerpop.gremlin.process.traversal.strategy.finalization

## Class MatchAlgorithmStrategy

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.strategy.AbstractTraversalStrategy<TraversalStrategy.FinalizationStrategy>
  - - org.apache.tinkerpop.gremlin.process.traversal.strategy.finalization.MatchAlgorithmStrategy

- All Implemented Interfaces:
    Serializable, Comparable<Class<? extends TraversalStrategy>>, TraversalStrategy<TraversalStrategy.FinalizationStrategy>, TraversalStrategy.FinalizationStrategy

      public final class MatchAlgorithmStrategy
      extends AbstractTraversalStrategy<TraversalStrategy.FinalizationStrategy>
      implements TraversalStrategy.FinalizationStrategy

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MatchAlgorithmStrategy.Builder`

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy

      `TraversalStrategy.DecorationStrategy, TraversalStrategy.FinalizationStrategy, TraversalStrategy.OptimizationStrategy, TraversalStrategy.ProviderOptimizationStrategy, TraversalStrategy.VerificationStrategy`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy

      `STRATEGY`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(Traversal.Admin<?,?> traversal)`
    `static MatchAlgorithmStrategy.Builder` | `build()`
    `static MatchAlgorithmStrategy` | `create(org.apache.commons.configuration2.Configuration configuration)`
    `org.apache.commons.configuration2.Configuration` | `getConfiguration()` Get the configuration representation of this strategy.
    `String` | `toString()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.strategy.AbstractTraversalStrategy

      `equals, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy.FinalizationStrategy

      `compareTo, getTraversalCategory`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy

      `applyPost, applyPrior`

- - ### Method Detail

    - #### apply

          public void apply(Traversal.Admin<?,?> traversal)

      Specified by:
        `apply` in interface `TraversalStrategy<TraversalStrategy.FinalizationStrategy>`

    - #### create

          public static MatchAlgorithmStrategy create(org.apache.commons.configuration2.Configuration configuration)

    - #### getConfiguration

          public org.apache.commons.configuration2.Configuration getConfiguration()

      Description copied from interface: `TraversalStrategy`
      Get the configuration representation of this strategy. This is useful for converting a strategy into a serialized form.
      Specified by:
        `getConfiguration` in interface `TraversalStrategy<TraversalStrategy.FinalizationStrategy>`
      Returns:
        the configuration used to create this strategy

    - #### build

          public static MatchAlgorithmStrategy.Builder build()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractTraversalStrategy<TraversalStrategy.FinalizationStrategy>`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.